Bug 1020011 - pear/Mail installation via deplist.txt produces errors on second push
pear/Mail installation via deplist.txt produces errors on second push
Status: CLOSED DUPLICATE of bug 1000223
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 15:05 EDT by Corey Daley
Modified: 2015-05-14 19:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 16:10:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Daley 2013-10-16 15:05:00 EDT
Description of problem:
When Mail is added to the deplist.php in a php-5.3 cartridge, the first push works and installs, but the second push produces errors which keeps the application from starting and httpd will be down

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.When Mail is added to the deplist.php in a php-5.3 cartridge
2. push code, everything installs correctly
3. push again, will receive errors

Actual results:
errors out and httpd does not start

Expected results:
Mail should install without issue

Additional info:
Corey-Red-Hat:php1 cdaley$ git commit -am "testing"
[master b0be9ad] testing
 2 files changed, 1 insertion(+), 2 deletions(-)
Corey-Red-Hat:php1 cdaley$ git push
Counting objects: 9, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (5/5), 420 bytes | 0 bytes/s, done.
Total 5 (delta 1), reused 0 (delta 0)
remote: Stopping PHP cartridge
remote: httpd (no pid file) not running
remote: Building PHP cartridge
remote: Checking pear: Mail
remote: 
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Registry->getPackage() /usr/share/pear/PEAR/Command/Registry.php:278
remote: PHP   6. PEAR_Registry->_getPackage() /usr/share/pear/PEAR/Registry.php:1962
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1443
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: PHP Warning:  Invalid argument supplied for foreach() in /usr/share/pear/PEAR/Command/Registry.php on line 304
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP Notice:  Undefined index: data in /usr/share/pear/PEAR/Frontend/CLI.php on line 511
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Frontend_CLI->outputData() /usr/share/pear/PEAR/Command/Registry.php:368
remote: PHP Notice:  Undefined index: data in /usr/share/pear/PEAR/Frontend/CLI.php on line 530
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Frontend_CLI->outputData() /usr/share/pear/PEAR/Command/Registry.php:368
remote: PHP Notice:  Undefined index: data in /usr/share/pear/PEAR/Frontend/CLI.php on line 535
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. PEAR_Frontend_CLI->outputData() /usr/share/pear/PEAR/Command/Registry.php:368
remote: 
remote: Notice: unserialize(): Error at offset 6362 of 9345 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 6362 of 9345 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 6362 of 9345 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 6362 of 9345 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 7700 of 12711 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 7700 of 12711 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 3341 of 6388 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3341 of 6388 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3341 of 6388 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3341 of 6388 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 2356 of 3472 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 2356 of 3472 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:672
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 2356 of 3472 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 2356 of 3472 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/REST/10.php:673
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Warning: in_array() expects parameter 2 to be array, boolean given in 10.php on line 707
remote: PHP Warning:  in_array() expects parameter 2 to be array, boolean given in /usr/share/pear/PEAR/REST/10.php on line 707
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_REST_10->listLatestUpgrades() /usr/share/pear/PEAR/Command/Install.php:1233
remote: PHP   6. in_array() /usr/share/pear/PEAR/REST/10.php:707
remote: 
remote: Notice: unserialize(): Error at offset 7700 of 12711 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Install->_filterUptodatePackages() /usr/share/pear/PEAR/Command/Install.php:619
remote: PHP   5. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Command/Install.php:1250
remote: PHP   6. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   7. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 7700 of 12711 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->initialize() /usr/share/pear/PEAR/Downloader.php:279
remote: PHP   6. PEAR_Downloader_Package->_fromString() /usr/share/pear/PEAR/Downloader/Package.php:190
remote: PHP   7. PEAR_Downloader->_getPackageDownloadUrl() /usr/share/pear/PEAR/Downloader/Package.php:1713
remote: PHP   8. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader.php:815
remote: PHP   9. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  10. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 7700 of 12711 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->initialize() /usr/share/pear/PEAR/Downloader.php:279
remote: PHP   6. PEAR_Downloader_Package->_fromString() /usr/share/pear/PEAR/Downloader/Package.php:190
remote: PHP   7. PEAR_Downloader->_getPackageDownloadUrl() /usr/share/pear/PEAR/Downloader/Package.php:1713
remote: PHP   8. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader.php:816
remote: PHP   9. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  10. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3341 of 6388 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3341 of 6388 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->detectDependencies() /usr/share/pear/PEAR/Downloader.php:392
remote: PHP   6. PEAR_Downloader_Package->_detect2() /usr/share/pear/PEAR/Downloader/Package.php:381
remote: PHP   7. PEAR_Downloader_Package->_detect2Dep() /usr/share/pear/PEAR/Downloader/Package.php:502
remote: PHP   8. PEAR_Downloader->_getDepPackageDownloadUrl() /usr/share/pear/PEAR/Downloader/Package.php:639
remote: PHP   9. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader.php:962
remote: PHP  10. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  11. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3341 of 6388 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3341 of 6388 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->detectDependencies() /usr/share/pear/PEAR/Downloader.php:392
remote: PHP   6. PEAR_Downloader_Package->_detect2() /usr/share/pear/PEAR/Downloader/Package.php:381
remote: PHP   7. PEAR_Downloader_Package->_detect2Dep() /usr/share/pear/PEAR/Downloader/Package.php:502
remote: PHP   8. PEAR_Downloader_Package->isInstalled() /usr/share/pear/PEAR/Downloader/Package.php:667
remote: PHP   9. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader/Package.php:1221
remote: PHP  10. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  11. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: Did not download optional dependencies: pear/Net_SMTP, use --alldeps to download automatically
remote: 
remote: Notice: unserialize(): Error at offset 7700 of 12711 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 7700 of 12711 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader_Package->removeInstalled() /usr/share/pear/PEAR/Downloader.php:429
remote: PHP   6. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Downloader/Package.php:416
remote: PHP   7. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP   8. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: 
remote: Notice: unserialize(): Error at offset 3341 of 6388 bytes in Registry.php on line 1145
remote: PHP Notice:  unserialize(): Error at offset 3341 of 6388 bytes in /usr/share/pear/PEAR/Registry.php on line 1145
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Install->doInstall() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Downloader->download() /usr/share/pear/PEAR/Command/Install.php:661
remote: PHP   5. PEAR_Downloader->analyzeDependencies() /usr/share/pear/PEAR/Downloader.php:437
remote: PHP   6. PEAR_Dependency2->validatePackageDependency() /usr/share/pear/PEAR/Downloader.php:595
remote: PHP   7. PEAR_Dependency2->_validatePackageDownload() /usr/share/pear/PEAR/Dependency2.php:639
remote: PHP   8. PEAR_Registry->packageInfo() /usr/share/pear/PEAR/Dependency2.php:688
remote: PHP   9. PEAR_Registry->_packageInfo() /usr/share/pear/PEAR/Registry.php:1648
remote: PHP  10. unserialize() /usr/share/pear/PEAR/Registry.php:1145
remote: pear/Mail requires package "pear/Net_SMTP" (version >= 1.4.1), installed version is 
remote: No valid packages found
remote: upgrade failed
remote: An error occurred executing 'gear postreceive' (exit code: 1)
remote: Error message: Failed to execute: 'control build' for /var/lib/openshift/525eb3815973ca0a16000172/php
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://525eb3815973ca0a16000172@php1-cdaley.rhcloud.com/~/git/php1.git/
   06ed262..b0be9ad  master -> master
Comment 1 Hiro Asari 2013-10-21 16:03:19 EDT
I looked into this in some detail.

The crux of the matter is that 'pear install --alldeps Mail' succeeds but creates at least one bad registry files in ~/php/phplib/pear/pear/php/.registry (I didn't make this directory up). (It appears to be Net_SMTP; if you remove ~/php/phplib/pear/pear/php/.registry/net_smtp.reg and reinstall Net_SMTP before the second 'git push', it *appears* to work.)

However, the problem is a lot more profound than that. A user can introduce this failure almost at will. For example,

$ cat deplist.txt
Auth_SASL
Mail

installs Auth_SASL, but 'pear install --alldpes Mail' fails immediately (that is, on the first push).

It appears that the version of pear on our installation is broken. If you update pear following the instructions described in http://pear.php.net/manual/en/installation.getting.php, there is no issue.
Comment 2 Hiro Asari 2013-10-21 16:10:09 EDT
Created Bug 1021696 with a more succinct description of this problem.

*** This bug has been marked as a duplicate of bug 1021696 ***
Comment 3 Hiro Asari 2013-10-21 16:53:59 EDT
The real issue is explained in https://bugzilla.redhat.com/show_bug.cgi?id=1000223#c2

*** This bug has been marked as a duplicate of bug 1000223 ***

Note You need to log in before you can comment on or make changes to this bug.